{ip}: Get geolocation data for a specific IP address

API: techniknews.net:ip-address-info
Endpoint: /ipgeo/{ip}
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 180ms

Description

Returns detailed geolocation information for the specified IPv4 or IPv6 address including country, city, coordinates, timezone, currency, ISP, organization, and hosting detection.

Parameters (1)

ip (string, path, required)

IPv4 or IPv6 address to lookup

Examples (1)

Get geolocation data for a specific IP address openapi-spec
curl 'https://api.techniknews.net/ipgeo/8.8.8.8'
import requests

resp = requests.get("https://api.techniknews.net/ipgeo/8.8.8.8")
data = resp.json()
import zingu_apis

api = zingu_apis.api("techniknews")
result = api.fetch("ipgeo/{ip}")

for item in result:
    print(item)
const resp = await fetch("https://api.techniknews.net/ipgeo/8.8.8.8");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:19:12.577265 200 180ms
2026-04-15 01:49:59.693811 200 175ms
2026-04-14 00:45:35.632918 200 161ms
2026-04-12 14:32:58.835786 200 171ms
2026-04-10 00:58:31.345464 200 307ms
2026-04-09 00:23:39.838553 200 246ms
2026-04-08 07:01:57.420046 200 196ms
2026-04-07 01:10:38.273183 200 107ms
2026-04-06 04:44:07.226499 200 209ms
2026-04-05 14:30:04.715085 200 277ms